%define	name	virt-manager
%define	version	0.6.0
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:    Virtual Machine Manager
License:    GPLv2+
Group:      Graphical desktop/GNOME
URL:        http://virt-manager.org/
Source:     http://virt-manager.org/download/sources/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  python
BuildRequires:  pygtk2.0-devel
BuildRequires:  desktop-file-utils
BuildRequires:  scrollkeeper
Requires:       python-libvirt
Requires:       python-virtinst >= 0.300.0
Requires:       python-vte
Requires:	    python-libxml2
Requires:	    python-gtk-vnc
Requires:	    dbus-python
Requires:	    pygtk2.0-libglade
Requires:	    gnome-python
Requires:	    gnome-python-gconf
Requires:	    gnome-python-gnomevfs
Requires:	    librsvg
Requires:	    libvirt-utils
Requires(post): GConf2
Requires(preun):GConf2
BuildRoot:           %{_tmppath}/%{name}-%{version}

%description
The "Virtual Machine Manager" (virt-manager for short package name) is a
desktop application for managing virtual machines. It presents a summary view
of running domains and their live performance & resource utilization
statistics. A detailed view presents graphs showing performance & utilization
over time. Ultimately it will allow creation of new domains, and configuration
& adjustment of a domain's resource allocation & virtual hardware. Finally an
embedded VNC client viewer presents a full graphical console to the guest
domain.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

# menu entry
desktop-file-install --vendor="" \
    --add-category="GTK;GNOME;Emulator" \
    --dir %{buildroot}%{_datadir}/applications \
    %{buildroot}%{_datadir}/applications/virt-manager.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}


%if %mdkversion < 200900
%post
%post_install_gconf_schemas virt-manager
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas virt-manager

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_bindir}/*
%{_libdir}/virt-manager
%{_libdir}/virt-manager-launch
%{_datadir}/virt-manager
%{_datadir}/applications/virt-manager.desktop
%{_datadir}/dbus-1/services/virt-manager.service
%{_sysconfdir}/gconf/schemas/*
%{_datadir}/gnome/help/virt-manager/
%{_datadir}/omf/virt-manager/
%{_mandir}/man1/*


%changelog
* Mon Oct 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 293120
- new version
- drop keyboard patch (seems unneeded now)

* Sat Aug 09 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.4-2mdv2009.0
+ Revision: 269665
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.4-1mdv2009.0
+ Revision: 194206
- update to new version 0.5.4

* Thu Jan 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 154206
- update to new version 0.5.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Nov 06 2007 Funda Wang <fundawang@mandriva.org> 0.5.2-2mdv2008.1
+ Revision: 106493
- rebuild for new lzma

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 105238
- new version

* Thu Sep 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-5mdv2008.0
+ Revision: 93273
- patch1: make parsing /etc/sysconfig/keyboard a bit more robust

* Mon Sep 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-4mdv2008.0
+ Revision: 89236
- requires python-virtinst >= 0.300.0

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-3mdv2008.0
+ Revision: 85901
- add dependency on libvirt-utils

* Mon Sep 10 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 84244
- fix dependencies (fix #33395)

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 75168
- add missing manpage
- New version 0.5.0

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 0.4.0-3mdv2008.0
+ Revision: 36212
- rebuild with correct optflags

* Mon Jun 04 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.0-2mdv2008.0
+ Revision: 35220
- fix dependencies (thanks Ze)

* Sat Jun 02 2007 Andreas Hasenack <andreas@mandriva.com> 0.4.0-1mdv2008.0
+ Revision: 34724
- updated to version 0.4.0

* Fri Apr 20 2007 Emmanuel Andry <eandry@mandriva.org> 0.3.1-3mdv2008.0
+ Revision: 15943
- fix missing requires (bug #30234)


* Fri Mar 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.3.1-2mdv2007.1
+ Revision: 139488
- Add dbus-python

* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 125024
- new version

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-4mdv2007.1
+ Revision: 96466
- fix dependencies
- fix dependencies

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-3mdv2007.1
+ Revision: 96232
- fix dependencies

* Wed Dec 13 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-2mdv2007.1
+ Revision: 96196
- fix schemas handling

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-1mdv2007.1
+ Revision: 94776
- fix typo in buildrequires
- buildrequires desktop-file-utils
- Import virt-manager

* Mon Dec 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.6-1mdv2007.1
- first mdv release

